<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

        <section class="sub-container">
            <article class="menu-history">
                <ul>
                    <li><a href="/main/main.do" class="home">홈</a></li>
                    <li><a href="/ptatms/modifyInfo.do">비밀번호 변경</a></li>
                </ul>
            </article>
            <article class="contents-wrap">
                <div class="title-box">
                    <h2 class="h2-title">비밀번호 변경</h2>
                    <p class="title-info">평택시 교통정보센터</p>
                </div>
                <!--탭버튼-->
                <div class="tab-btn">
                    <p><a href="/ptatms/noticeList.do">공지사항</a></p>
                    <p><a href="/ptatms/archiveList.do">자료실</a></p>
                    <p><a href="/ptatms/popupList.do">팝업창 관리</a></p>
                    <p><a href="/ptatms/modifyInfo.do" class="active">계정 정보변경</a></p>
                    <p><a href="/ptatms/status.do">접속통계</a></p>
                    <p><a href="/ptatms/logout.do">로그아웃</a></p>
                </div>
                <!--//탭버튼-->
                <div class='login-form'>
                    <h2 class="admin-tit">원하시는 비밀번호로 변경하세요.<br>비밀번호는 정기적으로 변경해주세요.</h2>

                    <form name="loginForm" id="loginForm" method="post" action="/ptatms/pwUpdate.do">
                        <input type="hidden" name="id" value="${id}"/>
                        <ul>
                            <li style="width: 70%;">

    <%--                            <p><input--%>
    <%--                                    type="password"--%>
    <%--                                    class="form"--%>
    <%--                                    title="기존 비밀번호"--%>
    <%--                                    placeholder="기존 비밀번호"--%>
    <%--                                    name="prePw"--%>
    <%--                                    id="prePw"/></p>--%>
                                <p><input id="prePw" type="password" name="prePw" placeholder="기존 비밀번호" value="" class='inoff' title="기존 비밀번호" /></p>

    <%--                            <p><input--%>
    <%--                                    type="password"--%>
    <%--                                    class="form"--%>
    <%--                                    title="신규 비밀번호"--%>
    <%--                                    placeholder="신규 비밀번호"--%>
    <%--                                    name="afterPw"--%>
    <%--                                    id="afterPw"/></p>--%>
                                <p><input id="afterPw" type="password" name="afterPw" placeholder="신규 비밀번호" value="" class='inoff mt-01' title="신규 비밀번호" /></p>

    <%--                            <p><input--%>
    <%--                                    type="password"--%>
    <%--                                    class="form"--%>
    <%--                                    title="비밀번호 확인"--%>
    <%--                                    placeholder="비밀번호 확인"--%>
    <%--                                    name="afterPw2"--%>
    <%--                                    id="afterPw2"/></p>--%>
                                <p><input id="afterPw2" type="password" name="afterPw2" placeholder="비밀번호 확인" value="" class='inoff mt-01'  title="비밀번호 확인" /></p>
                            </li>
                            <li style="width: 30%;"><input id="pwUpdate" type="button" name="" value="변경하기" class='btn-pwd ' onclick="" /></li>
                        </ul>
                    </form>
                </div>
            </article>
        </section>

        <!--//contents-->
        <script type="text/javascript">

            var id = '<c:out value="${id}"/>';
            var pw = $("#prePw").val();
            $('#prePw').focus();

            $("#pwUpdate").click(function () {
                pw = $("#prePw").val();
                if ($("#afterPw").val() == "") {
                    $('#inputMessage')
                        .empty()
                        .html('신규 비밀번호를 입력해주세요.');
                    $('#inputMessage').show();
                    $('#afterPw').focus();
                } else {
                    if ($("#afterPw2").val() == "") {
                        $('#inputMessage')
                            .empty()
                            .html('비밀번호확인을 입력해주세요.');
                        $('#inputMessage').show();
                        $('#afterPw2').focus();
                    } else {
                        if ($('#afterPw').val() != $('#afterPw2').val()) {
                            $('#inputMessage')
                                .empty()
                                .html('신규 비밀번호를 동일하게 입력해주세요.');
                            $('#afterPw2').focus();
                        } else {
                            if (!chkPwd($("#afterPw2").val())) {
                                return;
                            } else {
                                if (pw == '') {
                                    $('#inputMessage')
                                        .empty()
                                        .html('기존 비밀번호를 입력해주세요.');
                                    $('#inputMessage').show();
                                    $('#prePw').focus();
                                } else {
                                    $.ajax({
                                        type: "POST",
                                        url: '/ptatms/checkPrePw.do',
                                        contentType: 'application/x-www-form-urlencoded; charset=utf-8',
                                        data: 'id=' + id + '&pw=' + pw,
                                        success: function (data) {
                                            if (data != '') {
                                                $("#loginForm").submit();
                                            } else {
                                                $('#inputMessage')
                                                    .empty()
                                                    .html('기존 비밀번호를 정확하게 입력해 주세요.');
                                                $('#inputMessage').show();
                                                $('#prePw').focus();
                                            }
                                        },
                                        error: function (request,status,error) {
                                        	alert("code:"+request.status+"\n"+"error:"+error);
                                        }
                                    });
                                }
                            }
                        }
                    }
                }
            });

            function chkPwd(str) {
                var pw = str;
                var num = pw.search(/[0-9]/g);
                var eng = pw.search(/[a-z]/ig);
                var spe = pw.search(/[`~!@@#$%^&*|₩₩₩'₩";:₩/?]/gi);

                var chkPwdVal = true;

                if (pw.length < 9 || pw.length > 12) {
                    alert("9자리 ~ 12자리 이내로 입력해주세요.");
                    return chkPwdVal = false;
                }

                if (pw.search(/₩s/) != -1) {
                    alert("비밀번호는 공백업이 입력해주세요.");
                    return chkPwdVal = false;
                }

                if (num < 0 || eng < 0 || spe < 0) {
                    alert("영문,숫자, 특수문자를 혼합하여 입력해주세요.");
                    return chkPwdVal = false;
                }

                return chkPwdVal;
            }

            $("#afterPw2").keypress(function (event) {
                if (event.which == 13) {
                    $("#pwUpdate").click();
                }
            });
        </script>